package com.tzld.piaoquan.content.understanding.service;

import com.tzld.piaoquan.content.understanding.model.dto.TaskResultDTO;
import com.tzld.piaoquan.content.understanding.model.param.ContentAnalyseParam;
import com.tzld.piaoquan.content.understanding.model.param.ContentUnderstandParam;

/**
 * @author supeng
 */
public interface ContentService {

    /**
     * 内容分析处理
     *
     * @param param
     */
    void analyse(ContentAnalyseParam param);

    void understand(ContentUnderstandParam param);

    /**
     * 提交任务
     *
     * @param param
     * @return
     */
    TaskResultDTO submitTasks(ContentUnderstandParam param);

    /**
     * 查询任务
     *
     * @param param
     * @return
     */
    TaskResultDTO queryTasks(ContentUnderstandParam param);
}
